Subject: [Sipping] Re: [Fwd: WGLC of draft-ietf-sipping-service-examples-10.txt]

From: Alan Johnston <[email-masked]>
Date: Mon, 23 Apr 2007 10:15:35 -0500

Hi Miguel,

Thanks for the comments - see my answers below.

Thanks,
Alan

Miguel Garcia wrote:
> Hi:
>
> I went through my comments again, and I noticed two of them that 
> haven't been implemented. I can't really recall now if we discussed 
> these two issues in the past or they are still oversights (it's been 
> long time with this draft).
>
> I reproduce my old comments here. Note that sections have changed, and 
> when the comment refers to Section 2.14 corresponds to Section 2.13 in 
> version -12:
>
> 1) About the call flow in Section 2.14: Alice receives the 403 in flow
> F8, including an Error-Info URI. I would assume that the INVITE F10 goes
> straight forward to that URI. However, flow F10 traverses once more the
> Proxy (proxy that wasn't initially traversed in flow F1). I don't think
> this is the natural behavior, why should Alice route the INVITE F10 via
> the proxy, once she got a URI that does not embed a Route header? Notice
> that the proxy is not Alice's outbound proxy, so I see no reason for
> this behavior.
>

I will fix this, showing the INVITE from the Error-Info URI bypassing 
the proxy.

> 8) I noticed that flow F9 in Section 2.14 contains a Proxy-Authorization
> header. I think it is weird that the ACK request for a 403 response
> contains a Proxy-Authorization header. There is nothing the proxy can do
> with that group of credentials. The same applies to Flow F6 in Section 
> 2.15.

You are correct - a proxy can not challenge an ACK.  However, RFC 3261 
advises UAs to include the Proxy-Authorization in the ACK in Section 22.1.

>
> Is it possible to get some comments about them?
>
> BR,
>
>       Miguel
>
> Gonzalo Camarillo wrote:
>> Dear reviewers of the service examples draft,
>>
>> the authors have submitted yet another revision of the draft that is 
>> supposed to address your last set of comments on revision 11. As in 
>> previous occasions, could you please have a look at it and send a 
>> note to the SIPPING mailing list, cc:ing the chairs, stating whether 
>> or not you are now OK with the draft?
>>
>> http://www.ietf.org/internet-drafts/draft-ietf-sipping-service-examples-12.txt 
>>
>>
>> For your convenience, your reviews are stored at:
>>
>> http://www.softarmor.com/sipping/process/wg-review/sipping-rt-wglc.html
>>
>> The diff between revisions 11 and 12 is available at:
>>
>> http://tools.ietf.org/wg/sipping/draft-ietf-sipping-service-examples/draft-ietf-sipping-service-examples-12-from-11.diff.html 
>>
>>
>> Thanks,
>>
>> Gonzalo
>>
>>
>> Gonzalo Camarillo wrote:
>>> Dear reviewers of the service examples draft,
>>>
>>> the authors of the draft have submitted a new revision of the draft 
>>> that is supposed to address all your WGLC comments. Could you please 
>>> have a look at it and send a note to the SIPPING mailing list, 
>>> cc:ing the chairs, stating whether or not you are now OK with the 
>>> draft?
>>>
>>> http://www.ietf.org/internet-drafts/draft-ietf-sipping-service-examples-11.txt 
>>>
>>>
>>> For your convenience, your reviews are stored at:
>>> http://www.softarmor.com/sipping/process/wg-review/sipping-rt-wglc.html
>>>
>>> Thanks,
>>>
>>> Gonzalo
>>>
>>> Gonzalo Camarillo wrote:
>>>> Hi,
>>>>
>>>> all of you in the 'To' field of this email have volunteered to review
>>>> the service examples draft. Thanks a lot for agreeing to perform this
>>>> review.
>>>>
>>>> This is how we would like to divide the work: in the list below, I 
>>>> have
>>>> assigned a few sections to each of the reviewers. When you are done 
>>>> with
>>>> your review, send it in a reply-to-all to the email below, which 
>>>> was the
>>>> WGLC for this draft on the SIPPING mailing list. We would like to 
>>>> have all the reviews ready by the end of the WGLC, on July 1st.
>>>>
>>>>
>>>> <[email-masked]>
>>>>      2.1.  Call Hold
>>>>      2.2.  Consultation Hold
>>>>
>>>> <[email-masked]>
>>>>      2.3.  Music On Hold
>>>>      2.18. Automatic Redial
>>>>      2.19. Click to Dial
>>>>
>>>> <[email-masked]>
>>>>      2.4.  Transfer - Unattended
>>>>      2.5.  Transfer - Attended
>>>>      2.6.  Transfer - Instant Messaging
>>>>
>>>> <[email-masked]>
>>>>      2.7.  Call Forwarding Unconditional
>>>>      2.8.  Call Forwarding - Busy
>>>>      2.9.  Call Forwarding - No Answer
>>>>
>>>> <[email-masked]>
>>>>      2.10. 3-way Conference - Third Party is Added
>>>>      2.11. 3-way Conference - Third Party Joins
>>>>
>>>> <[email-masked]>
>>>>      2.12. Single Line Extension
>>>>
>>>> <[email-masked]>
>>>>      2.13. Find-Me
>>>>
>>>> <[email-masked]>
>>>>      2.14. Call Management (Incoming Call Screening)
>>>>      2.15. Call Management (Outgoing Call Screening)
>>>>
>>>> <[email-masked]>
>>>>      2.16. Call Park
>>>>      2.17. Call Pickup
>>>>
>>>>
>>>> Thanks,
>>>>
>>>> Gonzalo
>>>>
>>>>
>>>>
>>>> -------- Original Message --------
>>>> Subject: WGLC  of draft-ietf-sipping-service-examples-10.txt
>>>> Date: Thu, 11 May 2006 20:37:40 +0300
>>>> From: Gonzalo Camarillo <[email-masked]>
>>>> To: sipping <[email-masked]>
>>>> CC: Samuli Pöykkö <[email-masked]>,  Mary Barnes
>>>> <[email-masked]>, Alan Johnston <[email-masked]>, Robert
>>>> Sparks <[email-masked]>,  [email-masked]
>>>>
>>>> Folks,
>>>>
>>>> we would like to working group last call (WGLC) the following draft:
>>>>
>>>> http://www.ietf.org/internet-drafts/draft-ietf-sipping-service-examples-10.txt 
>>>>
>>>>
>>>> as you have probably noticed if you clicked on the link above, this 
>>>> is a
>>>> very long draft. Therefore, we would like to get at least ten 
>>>> volunteers
>>>> to review it. We will assign a couple of sections to each reviewer.
>>>>
>>>> If you are interested and willing to review this draft, please send an
>>>> email to the SIPPING chairs.
>>>>
>>>> The email below should be considered as a WGLC comment:
>>>>
>>>> http://www1.ietf.org/mail-archive/web/sipping/current/msg10886.html
>>>>
>>>> This is the output of the idnits tool:
>>>>
>>>> idnits 1.96
>>>>
>>>> tmp/draft-ietf-sipping-service-examples-10.txt:
>>>>
>>>>
>>>>   Checking nits according to http://www.ietf.org/ID-Checklist.html:
>>>>
>>>>     Checking conformance with RFC 3978/3979 boilerplate...
>>>>
>>>>     the boilerplate looks good.
>>>>
>>>>   * There is 1 instance of too long lines in the document, the 
>>>> longest one
>>>>     being 1 character in excess of 72.
>>>>
>>>>   Checking nits according to 
>>>> http://www.ietf.org/ietf/1id-guidelines.txt:
>>>>     Nothing found here (but these checks do not cover all of
>>>>     1id-guidelines.txt yet).
>>>>
>>>>   Miscellaneous warnings:
>>>>   - Line 1028 has weird spacing: '... /* Bob  place...'
>>>>   - Line 1404 has weird spacing: '... /* Bob  takes...'
>>>>   - Line 1732 has weird spacing: '... /* Bob  place...'
>>>>   - Line 2459 has weird spacing: '...and Bob  have ...'
>>>>   - Line 2597 has weird spacing: '... /* Bob  puts ...'
>>>>   - (4 more instances...)
>>>>
>>>>   Experimental warnings:
>>>>   - Unused Reference: [18] is defined on line 7860, but not referenced
>>>>   - Unused Reference: [13] is defined on line 7839, but not referenced
>>>>   - Unused Reference: [14] is defined on line 7842, but not referenced
>>>>   - Unused Reference: [1] is defined on line 7795, but not referenced
>>>>
>>>>
>>>>
>>>>
>>>> This WGLC will end on July 1st, 2006 (a long draft needs a long WGLC).
>>>>
>>>> Thanks,
>>>>
>>>> Gonzalo
>>>> SIPPING co-chair
>>>>
>>>>
>>>>
>>>
>>>
>>
>

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP